SoResetTransform(3IV)

NAME
SoResetTransform — node that resets the current transformation to identity

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoResetTransform

SYNOPSIS
#include <Inventor/nodes/SoResetTransform.h>

enum ResetType {
SoResetTransform::TRANSFORM
Reset the current transformation to identity
SoResetTransform::BBOX
Reset the bounding box to empty
}

Fields from class SoResetTransform:

SoSFBitMask
whatToReset

Methods from class SoResetTransform:

SoResetTransform()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node resets the current transformation to identity. It can be used to apply an absolute world space transformation afterwards, such as translating to a specific point from within a hierarchy. An SoResetTransform node should probably be used under an SoSeparator or SoTransformSeparator so it won't change transformations for the rest of the scene graph. An SoResetTransform node can also be used to reset the current bounding box to empty during traversal of an SoGetBoundingBoxAction, if the whatToReset field has the BBOX bit set.

FIELDS
SoSFBitMask
whatToReset
Specifies which items to reset when the node is traversed.

METHODS

SoResetTransform()
Creates a reset transformation node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoRayPickAction
If specified, resets current transformation matrix to identity.

SoGetBoundingBoxAction
If specified, resets current transformation matrix to identity and current computed bounding box to be empty.

SoGetMatrixAction
Returns identity matrix.

FILE FORMAT/DEFAULTS
ResetTransform {
whatToReset	TRANSFORM
}

SEE ALSO
SoTransform